
User Interface - Bug #2833

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

GUI combo-box navigation keys don't work as expected

11/09/2015 07:48 PM - Hynek Cihlar

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eugenie Lyzenko % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: GUI Support for a Complex ADM2 App   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 11/09/2015 08:01 PM - Hynek Cihlar

1. Arrow and PgUp/PgDn keys don't work/redraw the combo-box when drop-down not visible.

2. Left/right keys don't work in the drop-down.

3. Alt+Down/Up key shortcuts don't open/close the combo-box drop-down.

#2 - 11/10/2015 05:14 AM - Greg Shah

This only occurs in GUI?

This issue is in the trunk?

#3 - 11/10/2015 05:20 AM - Hynek Cihlar

Greg Shah wrote:

This only occurs in GUI?

 

Yes.

This issue is in the trunk?

 

Yes.
#4 - 11/19/2015 09:58 AM - Greg Shah

- Assignee set to Eugenie Lyzenko

- Start date deleted (11/09/2015)

#5 - 11/19/2015 08:04 PM - Eugenie Lyzenko

- File evl_upd20151119a.zip added

All 3 issues are fixed in this update. For number 1 HOME/END key processing is also fixed. It also includes the ScrollableSelectionListGuiImpl.java

change related to bug #2834 that is waiting to be committed.

#6 - 11/20/2015 09:07 AM - Greg Shah

Code Review evl_upd20151119a.zip

I'm good with the changes.  Please update the copyright date in Key.java and check in the changes (including the one from #2834).

#7 - 11/20/2015 09:41 AM - Eugenie Lyzenko

Greg Shah wrote:

Code Review evl_upd20151119a.zip

I'm good with the changes.  Please update the copyright date in Key.java and check in the changes (including the one from #2834).

 

Update evl_upd20151119a.zip(for both #2833 and #2834) committed to 2677a as revision 11071.

#8 - 11/20/2015 09:58 AM - Greg Shah

- % Done changed from 0 to 100

- Status changed from New to Closed

- Target version set to Milestone 12

#9 - 11/16/2016 12:12 PM - Greg Shah

- Target version changed from Milestone 12 to GUI Support for a Complex ADM2 App

Files

evl_upd20151119a.zip 30.2 KB 11/20/2015 Eugenie Lyzenko
